Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.rundata
Interface TurbineRunData

All Superinterfaces:
  PipelineData, org.apache.fulcrum.pool.Recyclable, RunData

All Known Implementing Classes:
  DefaultTurbineRunData

    public interface TurbineRunData

extends RunData, org.apache.fulcrum.pool.Recyclable

TurbineRunData is an extension to the RunData interface to be implemented by RunData implementations to be distributed by the Turbine RunData Service. The extensions define methods that are used by the service for initilizing the implementation, but which are not meant to be called by the actual client objects.

TurbineRunData extends also the Recyclable interface making it possible to pool its implementations for recycling.

Version:
  $Id: TurbineRunData.java 1066938 2011-02-03 20:14:53Z ludwig $
Author:
  Ilkka Priha, Jon S. Stevens, Bernie Hoeneisen, Daniel Rall, Henning P. Schmiedehausen

Method Summary
`org.apache.fulcrum.parser.CookieParser` | `getCookieParser()` Gets the cookie parser without parsing the cookies.
`org.apache.fulcrum.parser.ParameterParser` | `getParameterParser()` Gets the parameter parser without parsing the parameters.
`void` | `setCookieParser(org.apache.fulcrum.parser.CookieParser parser)` Sets the cookie parser.
`void` | `setParameterParser(org.apache.fulcrum.parser.ParameterParser parser)` Sets the parameter parser.
`void` | `setRequest(javax.servlet.http.HttpServletRequest req)` Sets the servlet request.
`void` | `setResponse(javax.servlet.http.HttpServletResponse res)` Sets the servlet response.
`void` | `setServerData(ServerData serverData)` Sets the server data of the request.
`void` | `setServletConfig(javax.servlet.ServletConfig config)` Sets the servlet configuration used during servlet init.

Methods inherited from interface org.apache.turbine.util.RunData
`addMessage, addMessage, declareDirectResponse, getACL, getAction, getCharSet, getContentType, getContextPath, getCookies, getDebugVariables, getJNDIContexts, getLayout, getLayoutTemplate, getLocale, getMessage, getMessageAsHTML, getMessages, getOut, getPage, getParameters, getRedirectURI, getRemoteAddr, getRemoteHost, getRequest, getResponse, getScreen, getScreenTemplate, getScriptName, getServerData, getServerName, getServerPort, getServerScheme, getServletConfig, getServletContext, getSession, getStackTrace, getStackTraceException, getStatusCode, getSystemErrors, getTemplateEncoding, getTemplateInfo, getTitle, getUser, getUserAgent, getUserFromSession, getVarDebug, hasAction, hasMessage, hasScreen, isOutSet, isPageSet, populate, removeUserFromSession, save, setACL, setAction, setCharSet, setContentType, setDebugVariable, setJNDIContexts, setLayout, setLayoutTemplate, setLocale, setMessage, setMessage, setMessages, setRedirectURI, setScreen, setScreenTemplate, setStackTrace, setStatusCode, setSystemError, setTemplateEncoding, setTitle, setUser, unsetMessage, userExists`

Methods inherited from interface org.apache.turbine.pipeline.PipelineData
`get, get, put`

Methods inherited from interface org.apache.fulcrum.pool.Recyclable
`dispose, isDisposed, recycle`

Method Detail

### getParameterParser

    org.apache.fulcrum.parser.ParameterParser getParameterParser()

  Gets the parameter parser without parsing the parameters.

  Returns:
    the parameter parser.

### setParameterParser

    void setParameterParser(org.apache.fulcrum.parser.ParameterParser parser)

  Sets the parameter parser.

  Parameters:
    `parser` - a parameter parser.

### getCookieParser

    org.apache.fulcrum.parser.CookieParser getCookieParser()

  Gets the cookie parser without parsing the cookies.

  Returns:
    the cookie parser.

### setCookieParser

    void setCookieParser(org.apache.fulcrum.parser.CookieParser parser)

  Sets the cookie parser.

  Parameters:
    `parser` - a cookie parser.

### setRequest

    void setRequest(javax.servlet.http.HttpServletRequest req)

  Sets the servlet request.

  Parameters:
    `req` - a request.

### setResponse

    void setResponse(javax.servlet.http.HttpServletResponse res)

  Sets the servlet response.

  Parameters:
    `res` - a response.

### setServletConfig

    void setServletConfig(javax.servlet.ServletConfig config)

  Sets the servlet configuration used during servlet init.

  Parameters:
    `config` - a configuration.

### setServerData

    void setServerData(ServerData serverData)

  Sets the server data of the request.

  Parameters:
    `serverData` - server data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.